#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Locale
%define		pnam	Maketext-Lexicon
%include	/usr/lib/rpm/macros.perl
Summary:	Locale::Maketext::Lexicon - use other catalog formats in Maketext
Summary(pl.UTF-8):	Locale::Maketext::Lexicon - używanie innych formatów katalogów w Maketext
Name:		perl-Locale-Maketext-Lexicon
Version:	0.96
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7b88febfd5bdbb2ed9e2ea197b7f0148
URL:		http://search.cpan.org/dist/Locale-Maketext-Lexicon/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Locale-Maketext >= 1.17
BuildRequires:	perl-Regexp-Common
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Lingua-EN-Sentence >= 0.25
%endif
Requires:	perl-Locale-Maketext >= 1.17
Suggests:	perl-Lingua-EN-Sentence >= 0.25
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides lexicon-handling modules to read from other
localization formats, such as Gettext, Msgcat, and so on.

%description -l pl.UTF-8
Ten moduł udostępnia moduły do obsługi słowników, pozwalające czytać z
innych formatów plików lokalizacyjnych, takich jak Gettext, Msgcat
itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Change* README
%{perl_vendorlib}/%{pdir}/Maketext/*.pm
%{perl_vendorlib}/%{pdir}/Maketext/Lexicon
%{perl_vendorlib}/%{pdir}/Maketext/Extract
%{_bindir}/*
%{_mandir}/man?/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Locale-Maketext-Lexicon.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 60ee704
- up to 0.96

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> dc8d3f8
- versioned install time dependencies

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e217c7
- up to 0.91

* Fri Mar 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3df3a4e
- up to 0.86

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> 639ae9a
- up to 0.82, build with fixed Locale::Maketext

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> dc6d94f
- up to 0.77

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ab1c64c
- up to 0.75

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3636b23
- up to 0.66

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 4df3ee3
- up to 0.65

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 789d19e
- up to 0.64

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 929c0ac
- generic URL

* Fri Mar 23 2007 radek <radek@pld-linux.org> 6aa101d
- version 0.62

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 93e7fc1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5b16708
- converted to UTF-8

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 65fc72f
- updated to 0.46

* Wed Dec 01 2004 radek <radek@pld-linux.org> c6d8498
- autoupdated to 0.45

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b910002
- formatting

* Sun Oct 10 2004 havner <havner@pld-linux.org> 611e898
- rel 2 for rebuild

* Thu Aug 26 2004 Adam Gołębiowski <adamg@pld-linux.org> 5ffccb3
- updated to 0.40

* Sat Jun 05 2004 radek <radek@pld-linux.org> 055e827
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

